> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Remove Notification Subscriber

`POST https://api.pagerduty.com/incidents/{id}/status_updates/unsubscribe`

Unsubscribes the matching Subscribers from Incident Status Update Notifications.

Scoped OAuth requires: `subscribers.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

The entities to unsubscribe.

| Field | Type | Required | Description |
|---|---|---|---|
| `subscribers` | array of object | yes | Min items: 1. Items must be unique. |
| `subscribers[].subscriber_id` | string |  | The ID of the entity being subscribed. |
| `subscribers[].subscriber_type` | string |  | The type of the entity being subscribed. One of: `user`, `team`. |

Example: Request Example

```json
{
  "subscribers": [
    {
      "subscriber_id": "PD1234",
      "subscriber_type": "team"
    },
    {
      "subscriber_id": "PD1234",
      "subscriber_type": "user"
    }
  ]
}
```

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `deleted_count` | number | yes |  |
| `unauthorized_count` | number | yes |  |
| `non_existent_count` | number | yes |  |

Example: Response Example

```json
{
  "deleted_count": 1,
  "unauthorized_count": 1,
  "non_existent_count": 0
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 422

Unprocessable Entity. Some arguments failed validation checks.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
